Skip to main content
GET
/
v2
/
link
/
{clientSecret}
Get login status
curl --request GET \
  --url https://api-next.ofauth.com/v2/link/{clientSecret} \
  --header 'apiKey: <api-key>'
{
  "status": "awaiting_2fa",
  "data": {
    "twoFactorState": {
      "options": [
        "phone",
        "app"
      ],
      "phoneCode": {
        "requestAttemptsLimit": 3,
        "requestAttemptsLeft": 2,
        "checkAttemptsLimit": 3,
        "checkAttemptsLeft": 3
      },
      "phoneLast4": "1234"
    }
  }
}

Authorizations

apiKey
string
header
required

Your OFAuth API key for authenticating requests.

Path Parameters

clientSecret
string
required

Response

Login task status

status
enum<string>
required
Available options:
initialized,
pending,
awaiting_2fa,
denied,
completed,
invalid_credentials,
failed,
not_found
data
object